package specifications

import (
	"LAPP_ACURA_MOM_BACKEND/container"
	svr "LAPP_ACURA_MOM_BACKEND/services/log"
)

func init() {
	packOrderServiceInfo := container.GlobalInformations.RegisterService(svr.NewPackOrderService, false)
	closePackOrderInfo := packOrderServiceInfo.RegisterMethod("ClosePackOrder")
	closePackOrderInfo.AppendBrokerBuilder(container.ContextOfNewTransaction)
	openPackOrderInfo := packOrderServiceInfo.RegisterMethod("OpenPackOrder")
	openPackOrderInfo.AppendBrokerBuilder(container.ContextOfNewTransaction)
	openPackOrderWithTemplateInfo := packOrderServiceInfo.RegisterMethod("OpenPackOrderWithTemplate")
	openPackOrderWithTemplateInfo.AppendBrokerBuilder(container.ContextOfNewTransaction)
}
